Bug 442540 - Anaconda docs a bit unreadable
Anaconda docs a bit unreadable
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-15 09:43 EDT by Paul W. Frields
Modified: 2008-06-21 16:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-21 16:24:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2008-04-15 09:43:37 EDT

Something may have happened to the way that anaconda draws the docs from the
wiki, perhaps?  All the vertical whitespace has been removed, making
kickstart-docs.txt and command-line.txt nearly impossible to read.
Comment 1 Jeremy Katz 2008-04-15 12:15:56 EDT
We haven't changed anything from the last patch you sent us... it's still doing

curl -A "anaconda-build" -o kickstart-docs.xml
xmlto --skip-validation txt kickstart-docs.xml
Comment 2 Paul W. Frields 2008-04-15 13:02:11 EDT
My earlier fix from BZ #387341 was too smart for its own good.  *sigh*  I think
this may be something in Moin that's gone wrong.  The DocBook it produces now
doesn't validate correctly because there are missing para element tags inside
the listitem element.  I think trying to fix that is just wasted time.

Maybe this should be reverted to plain wikitext retrieval (&action=raw) for now.
 My apologies for creating this problem.
Comment 3 Jeremy Katz 2008-04-15 13:22:46 EDT
No worries, reverted the old commit and pushed
Comment 4 Bug Zapper 2008-05-14 05:28:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.